// Code generated by mockery v2.52.2. DO NOT EDIT.

package patch

import mock "github.com/stretchr/testify/mock"

// MockOutputOptionsFunc is an autogenerated mock type for the OutputOptionsFunc type
type MockOutputOptionsFunc struct {
	mock.Mock
}

type MockOutputOptionsFunc_Expecter struct {
	mock *mock.Mock
}

func (_m *MockOutputOptionsFunc) EXPECT() *MockOutputOptionsFunc_Expecter {
	return &MockOutputOptionsFunc_Expecter{mock: &_m.Mock}
}

// Execute provides a mock function with given fields: _a0
func (_m *MockOutputOptionsFunc) Execute(_a0 *outputOpts) {
	_m.Called(_a0)
}

// MockOutputOptionsFunc_Execute_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'Execute'
type MockOutputOptionsFunc_Execute_Call struct {
	*mock.Call
}

// Execute is a helper method to define mock.On call
//   - _a0 *outputOpts
func (_e *MockOutputOptionsFunc_Expecter) Execute(_a0 interface{}) *MockOutputOptionsFunc_Execute_Call {
	return &MockOutputOptionsFunc_Execute_Call{Call: _e.mock.On("Execute", _a0)}
}

func (_c *MockOutputOptionsFunc_Execute_Call) Run(run func(_a0 *outputOpts)) *MockOutputOptionsFunc_Execute_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(*outputOpts))
	})
	return _c
}

func (_c *MockOutputOptionsFunc_Execute_Call) Return() *MockOutputOptionsFunc_Execute_Call {
	_c.Call.Return()
	return _c
}

func (_c *MockOutputOptionsFunc_Execute_Call) RunAndReturn(run func(*outputOpts)) *MockOutputOptionsFunc_Execute_Call {
	_c.Run(run)
	return _c
}

// NewMockOutputOptionsFunc creates a new instance of MockOutputOptionsFunc. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockOutputOptionsFunc(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockOutputOptionsFunc {
	mock := &MockOutputOptionsFunc{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
